# -*- coding: utf-8 -*- 
import android
import json
import urllib
import os
import sys

def get_vals(type):
    data = urllib.urlopen('http://welinux.ru/action/get_val/%s/' % (type, ))
    return json.loads(data.read())
    
def get_html(item):
    if item['rate'] > 0:
        item['rate_class'] = 'plus_rate'
    elif item['rate'] < 0:
        item['rate_class'] = 'minus_rate'
    else:
        item['rate_class'] = 'rate'
    return "<li class='%(type)s_element'><a onclick='go_to(\"%(url)s\")'>%(title)s</a> <span class='%(rate_class)s'>%(rate)d</span>" % item
    
def get_content(url):
    data = urllib.urlopen('http://welinux.ru%s' % (url))
    content = data.read().split("div id='content'>")[1].split('<div id="sidebar')[0]
    return '<div>%s' % (content, )

def start():
    droid.webViewShow('file://%s/base.html' % (os.path.dirname(__file__), ))
    droid.clearOptionsMenu()
    droid.addOptionsMenuItem(u"Начало", "start", True, "ic_menu_home")

droid = android.Android()
start()

while True:
    event = droid.eventWait().result
    print event['name']
    if event['name'] == 'start':
        start()
    elif event['name'] == 'get_val':
        data = get_vals(event['data'])
        droid.eventPost('clear', None)
        for item in data:
            droid.eventPost('add_element', get_html(item))
    elif event['name'] == 'go_to':
        droid.eventPost('load', get_content(event['data']))
    
droid.exit() 
    
